
Redmine - Patch #6498

Make options parameter optional in User#allowed_to_globally?

2010-09-26 20:13 - Jan from Planio www.plan.io

Status: Closed Start date: 2010-09-26

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version: 2.6.0   

Description

It's optional in allowed_to? so it would make sense to make it optional in allowed_to_globally?, too.

Patch is attached.

Associated revisions

Revision 13364 - 2014-09-06 05:39 - Jean-Baptiste Barth

Make 2nd parameter optional in User#allowed_to_globally? for consistency (#6498).

History

#1 - 2010-11-24 11:48 - Victor Ilyukevich

+1

#2 - 2014-09-06 05:40 - Jean-Baptiste Barth

- Status changed from New to Closed

- Assignee set to Jean-Baptiste Barth

- Target version set to 2.6.0

Yes obviously. This method is not used anywhere in the Redmine code base anymore,  but I find lots of usages in plugins on Github (

https://github.com/search?o=desc&q=allowed_to_globally&s=indexed&type=Code)

On a side note Jan: I'm trying to spend some time reviewing/merging patches these days, and obviously 4 years old patches with not even a reply are

ridiculous. If you want to drop me an email with things you think I can merge directly, let me know (or we can chat about that on freenode eventually,

nick=salvor but my IRC client is at $WORK so I'm only behind on weekdays).
